package ru.amse.vorobiev.lce.elements.impl;

import ru.amse.vorobiev.lce.circuit.ICircuit;


public class OrGate extends AbstractGate {
	
	public OrGate() {
		super(2, 1, null);
	}
	
	public OrGate(int inputCount, int outputCount) {
		super(inputCount, outputCount, null);
	}
	
	public OrGate(ICircuit circuit) {
		super(2, 1, circuit);
	}
	
	public OrGate(int inputCount, int outputCount, ICircuit circuit) {
		super(inputCount, outputCount, circuit);
	}
	
	public GateType getType() {
		return GateType.OR;
	}
}
