package ru.amse.vorobiev.lce.elements.impl;

import ru.amse.vorobiev.lce.circuit.ICircuit;
import ru.amse.vorobiev.lce.elements.IPlug;

public class OutGate extends AbstractGate {
	
	public OutGate(int inputCount) {
		super(inputCount, 0, null);
	}
	
	public OutGate(int inputCount, ICircuit circuit) {
		super(inputCount, 0, circuit);
	}
	
	public int getOutputCount() {
		return 0;
	}
	
	public IPlug addOutput() {
		throw new UnsupportedOperationException("No outputs in the OUT element");
	}
	
	public GateType getType() {
		return GateType.OUT;
	}

}
