package ru.amse.vorobiev.lce.validator;

import ru.amse.vorobiev.lce.elements.IElement;

public class StructureError implements IError{
	private String myMessage;
	private boolean isWarning;
	private IElement myElement;
	
	public StructureError(IElement element, String message) {
		myMessage = message;
		isWarning = false;
		myElement = element;
	}
	
	public StructureError(IElement object) {
		this(object, "");
	}
	
	public IElement getElement() {
		return myElement;
	}
	
	public void setMessage(String message) {
		myMessage = message;
	}
	
	public String getMessage() {
		return myMessage;
	}

	public boolean isWarning() {
		return isWarning;
	}

}
