package ru.amse.vorobiev.lce.elements.impl;

import ru.amse.vorobiev.lce.circuit.ICircuit;

public class AndGate extends AbstractGate {
	
	public AndGate() {
		super(2, 1, null);
	}
	
	public AndGate(ICircuit circuit) {
		super(2, 1, circuit);
	}
	
	public AndGate(int inputCount, int outputCount) {
		super(inputCount, outputCount, null);
	}
	
	public AndGate(int inputCount, int outputCount, ICircuit circuit) {
		super(inputCount, outputCount, circuit);
	}
	
	public GateType getType() {
		return GateType.AND;
	}
	
}
