package ru.amse.vorobiev.lce.elements.impl;

import ru.amse.vorobiev.lce.circuit.ICircuit;
import ru.amse.vorobiev.lce.elements.IPlug;

public class InGate extends AbstractGate {

	public InGate(int outputCount) {
		super(0, outputCount, null);
	}
	
	public InGate(int outputCount, ICircuit circuit) {
		super(0, outputCount, circuit);
	}
	
	public int getInputCount() {
		return 0;
	}
	
	public IPlug addInput() {
		throw new UnsupportedOperationException("No inputs in the IN element");
	}
	
	public GateType getType() {
		return GateType.IN;
	}
}
