package ru.amse.vorobiev.lce.ui;

import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import javax.swing.JOptionPane;

public class FrameClosingListener extends WindowAdapter{
	private JEditorFrame myFrame;
	
	public FrameClosingListener(JEditorFrame frame) {
		myFrame = frame; 
	}

	public void windowClosed(WindowEvent e) {
		if (myFrame.hasChanged()) {
			int answer = myFrame.promptForSaving();
			if (answer != JOptionPane.CANCEL_OPTION) {
				System.exit(0);
			}
		} else {
			System.exit(0);
		}
	}

	public void windowClosing(WindowEvent e) {
		windowClosed(e);
	}
}
